Bug 124261 - EDITING: btLr text doesn't get updated while typing
Summary: EDITING: btLr text doesn't get updated while typing
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.3.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-03-22 09:48 UTC by Xisco Faulí
Modified: 2019-04-03 10:17 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
screencast showing the problem (601.00 KB, video/mp4)
2019-03-22 09:48 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-03-22 09:48:50 UTC
Created attachment 150174 [details]
screencast showing the problem

Steps to reproduce:
1. Open attachment 149826 [details] from bug 123943
2. Place the cursor in any of the cells' text.
3. Type something

-> The cursor is moved up but the new text is not displayed immediately. it's displayed after some seconds.

Reproduced in

Version: 6.3.0.0.alpha0+
Build ID: 4c5d0e4822dcd0c6c9397a45e3afb66d53ebaafc
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-03-22 09:50:49 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=61bb90aac5038b5ff051668f7ae86eb61658e4f3

author	Miklos Vajna <vmiklos@collabora.com>	2019-02-15 16:52:20 +0100
committer	Miklos Vajna <vmiklos@collabora.com>	2019-02-15 21:23:57 +0100
commit 61bb90aac5038b5ff051668f7ae86eb61658e4f3 (patch)
tree 02de7777ed9e603655628ccb5d5af7c690934067
parent 6987f1d3982c369fef401d2fbe3714f68f4398ab (diff)
sw btlr writing mode shell: fix cursor position

Bisected with: bibisect-linux64-6.3

Adding Cc: to Miklos Vajna
Comment 2 Commit Notification 2019-04-02 11:19:32 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/e651a4f45b310f9890ffbf712b9970d4c452ecec%5E%21

tdf#124261 sw btlr writing mode render: fix invalidation rectangle

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2019-04-03 09:15:25 UTC
Issue verified in

Version: 6.3.0.0.alpha0+
Build ID: 93f1c3665fcdc31c36078f179ac37fd69d3ebb00
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Miklos, thanks for fixing this issue!!